#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh  - install for hddtemp
#
# Creation:     30.11.2005  Stephan Sanders
# Last Update:  06.10.2007  Stephan Sanders
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------
. /var/install/include/eislib

echo "insert hddtemp service menu ..."
sh /var/install/bin/add-menu setup.services.menu setup.services.hddtemp.menu "hddtemp"



# aktuelle Datenbank ziehen!  
cd /usr/share/misc


if [ -f /usr/share/misc/hddtemp.backup ]
then
mecho --info "Old hddtemp Database found"

mv hddtemp.backup hddtemp.db
else

mecho --info "Downloading latest hddtemp.db"

mv hddtemp.db hddtemp.old
# wget http://www.guzu.net/linux/hddtemp.db
wget http://download.savannah.nongnu.org/releases/hddtemp/hddtemp.db
fi

if [ -f /usr/share/misc/hddtemp.db ]
then
rm -r -f /usr/share/misc/hddtemp.old
else
mv hddtemp.old hddtemp.db
fi


if [ -f /etc/config.d/hddtemp.install ]
then
    cp /etc/config.d/hddtemp.install /etc/config.d/hddtemp
    rm -r -f /etc/config.d/hddtemp.install
else
    cp /etc/default.d/hddtemp /etc/config.d/hddtemp
fi
    
    
if [ -f /tmp/preinstall.sh ]
then
    rm /tmp/preinstall.sh
fi


mecho --info "Creating Symlinks for start&stop"

# erstelle symlinks falls nicht vorhanden

# RC-Eintrag generieren START
if [ ! -r "/etc/rc2.d/S88hddtemp" -o ! -f "/etc/rc2.d/S88hddtemp" ]
    then
    ln -s /etc/init.d/hddtemp /etc/rc2.d/S88hddtemp
fi

  # RC-Eintrag generieren KILL
if [ ! -r "/etc/rc2.d/K12hddtemp" -o ! -f "/etc/rc2.d/K12hddtemp" ]
    then
    ln -s /etc/init.d/hddtemp /etc/rc2.d/K12hddtemp
fi



        
mecho --info "hddtemp installed"
/var/install/bin/anykey
echo "creating hddtemp configuration ..."
/var/install/bin/edit  /etc/config.d/hddtemp

/var/install/config.d/hddtemp.sh
/etc/init.d/hddtemp restart

